#include <iostream>
using namespace std;

int brNovcanica(char c)
{
    c -= '0';
    if(!c)
    	return 0;
    else if(c==1 || c==2 || c==5)
        return 1;
    else if (c>7)
        return 3;
    else
        return 2;
}

int main()
{
    string s; cin>>s;
    int n = s.length(), rez = 0;
    for(int i=0; i<n; i++)
        rez += brNovcanica(s[i]);
	cout<<rez;
    return 0;
}